#ifndef MAINWINDOW_H
#define MAINWINDOW_H
#include <QDebug>
#include <list>
#include "repere.h"
#include "robot.h"
#include "controller.h"
#include <vector>

#include <QMainWindow>


namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT


public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void keyPressEvent(QKeyEvent *event);

private:
    Ui::MainWindow *ui;
    repere *R,*Rtraj;

    QTimer *timer;
    robot Rob;
    controller Ctr;
    vector <double> X,Y;

    void Init();



signals:


private slots:
    void on_PsiScrollBar_valueChanged(int value);
    void Clock();
};



#endif // MAINWINDOW_H
